Bug 231542 - mediawiki upgrade clobbers directory permissions
mediawiki upgrade clobbers directory permissions
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-03-08 16:41 EST by Gilbert E. Detillieux
Modified: 2008-05-06 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilbert E. Detillieux 2007-03-08 16:41:41 EST
Description of problem:
After the latest upgrade to mediawiki, permissions and ownership on the images
subdirectory were restored to those set in the package.  (Likewise for the
config subdirectory.)  This breaks image upload capability.

Version-Release number of selected component (if applicable):
1.8.4-8.fc5 (but possibly others too)

Expected results:
If the images and config subdirectories were tagged %config, would this prevent
them from being changed on an upgrade?  Alternatively, perhaps they could just
be left out of the installed file list altogether, so users could set them up as
required during the initial configuration, and wouldn't have to worry about them
being changed unexpectedly.

Additional info:
Comment 1 Jeff Johnson 2007-03-15 07:00:39 EDT
%config applies only to files since not all the conditions implied by %config are defined for directories.
Comment 2 Axel Thimm 2007-03-15 07:45:03 EDT
Hm, that's a tricky situation. One easy way out would be to unown the dir in the
package, but that sounds too messy to be a real solution.

I'll check with the packaging folks, maybe someone has a better idea.
Comment 3 Bug Zapper 2008-04-04 02:28:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:19:47 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.